Bug 856746 - CVE-2012-4415 libguac: Stack-based buffer overflow by protocol handling in guac client plug-in [fedora-all]
CVE-2012-4415 libguac: Stack-based buffer overflow by protocol handling in gu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguac (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4415
  Show dependency treegraph
 
Reported: 2012-09-12 13:46 EDT by Jan Lieskovsky
Modified: 2012-09-26 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 23:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-12 13:46:04 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=856743

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-09-13 08:00:14 EDT
libguac-0.6.3-1.fc16,libguac-client-vnc-0.6.0-8.fc16,guacd-0.6.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libguac-0.6.3-1.fc16,libguac-client-vnc-0.6.0-8.fc16,guacd-0.6.1-3.fc16
Comment 2 Fedora Update System 2012-09-13 08:01:29 EDT
libguac-0.6.3-1.fc17,libguac-client-vnc-0.6.0-8.fc17,libguac-client-rdp-0.6.1-2.fc17,guacd-0.6.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libguac-0.6.3-1.fc17,libguac-client-vnc-0.6.0-8.fc17,libguac-client-rdp-0.6.1-2.fc17,guacd-0.6.1-3.fc17
Comment 3 Fedora Update System 2012-09-13 08:35:53 EDT
libguac-0.6.3-1.fc16,libguac-client-vnc-0.6.0-8.fc16,guacd-0.6.1-3.fc16,guacamole-common-0.6.1-2.fc16,guacamole-ext-0.6.1-2.fc16,guacamole-common-js-0.6.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libguac-0.6.3-1.fc16,libguac-client-vnc-0.6.0-8.fc16,guacd-0.6.1-3.fc16,guacamole-common-0.6.1-2.fc16,guacamole-ext-0.6.1-2.fc16,guacamole-common-js-0.6.1-2.fc16
Comment 4 Fedora Update System 2012-09-13 08:36:41 EDT
libguac-0.6.3-1.fc17,libguac-client-vnc-0.6.0-8.fc17,libguac-client-rdp-0.6.1-2.fc17,guacd-0.6.1-3.fc17,guacamole-common-0.6.1-2.fc17,guacamole-ext-0.6.1-2.fc17,guacamole-common-js-0.6.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libguac-0.6.3-1.fc17,libguac-client-vnc-0.6.0-8.fc17,libguac-client-rdp-0.6.1-2.fc17,guacd-0.6.1-3.fc17,guacamole-common-0.6.1-2.fc17,guacamole-ext-0.6.1-2.fc17,guacamole-common-js-0.6.1-2.fc17
Comment 5 Fedora Update System 2012-09-13 09:20:10 EDT
libguac-0.6.3-1.fc18,libguac-client-vnc-0.6.0-8.fc18,libguac-client-rdp-0.6.1-2.fc18,guacd-0.6.1-3.fc18,guacamole-common-0.6.1-2.fc18,guacamole-ext-0.6.1-2.fc18,guacamole-common-js-0.6.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libguac-0.6.3-1.fc18,libguac-client-vnc-0.6.0-8.fc18,libguac-client-rdp-0.6.1-2.fc18,guacd-0.6.1-3.fc18,guacamole-common-0.6.1-2.fc18,guacamole-ext-0.6.1-2.fc18,guacamole-common-js-0.6.1-2.fc18
Comment 6 Fedora Update System 2012-09-13 12:45:44 EDT
Package libguac-0.6.3-1.fc18, libguac-client-vnc-0.6.0-8.fc18, libguac-client-rdp-0.6.1-2.fc18, guacd-0.6.1-3.fc18, guacamole-common-0.6.1-2.fc18, guacamole-ext-0.6.1-2.fc18, guacamole-common-js-0.6.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libguac-0.6.3-1.fc18 libguac-client-vnc-0.6.0-8.fc18 libguac-client-rdp-0.6.1-2.fc18 guacd-0.6.1-3.fc18 guacamole-common-0.6.1-2.fc18 guacamole-ext-0.6.1-2.fc18 guacamole-common-js-0.6.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13914/libguac-0.6.3-1.fc18,libguac-client-vnc-0.6.0-8.fc18,libguac-client-rdp-0.6.1-2.fc18,guacd-0.6.1-3.fc18,guacamole-common-0.6.1-2.fc18,guacamole-ext-0.6.1-2.fc18,guacamole-common-js-0.6.1-2.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-23 23:23:19 EDT
libguac-0.6.3-1.fc18, libguac-client-vnc-0.6.0-8.fc18, libguac-client-rdp-0.6.1-2.fc18, guacd-0.6.1-3.fc18, guacamole-common-0.6.1-2.fc18, guacamole-ext-0.6.1-2.fc18, guacamole-common-js-0.6.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-26 04:52:00 EDT
libguac-0.6.3-1.fc17, libguac-client-vnc-0.6.0-8.fc17, libguac-client-rdp-0.6.1-2.fc17, guacd-0.6.1-3.fc17, guacamole-common-0.6.1-2.fc17, guacamole-ext-0.6.1-2.fc17, guacamole-common-js-0.6.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-26 05:10:12 EDT
libguac-0.6.3-1.fc16, libguac-client-vnc-0.6.0-8.fc16, guacd-0.6.1-3.fc16, guacamole-common-0.6.1-2.fc16, guacamole-ext-0.6.1-2.fc16, guacamole-common-js-0.6.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.